"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.apiResponseValidator = exports.fileValidator = exports.modlistValidator = void 0;
const zod_1 = require("zod");
exports.modlistValidator = zod_1.z.object({
    minecraftVersion: zod_1.z.string(),
    loaderType: zod_1.z.enum(["fabric", "forge", "quilt", "liteloader"]),
    unsafe: zod_1.z.object({
        allowFailHash: zod_1.z.boolean(),
        allowUnstable: zod_1.z.boolean()
    }),
    mods: zod_1.z.array(zod_1.z.string()),
    externalMods: zod_1.z.array(zod_1.z.string())
});
exports.fileValidator = zod_1.z.object({
    url: zod_1.z.string(),
    filename: zod_1.z.string(),
    primary: zod_1.z.boolean(),
    hashes: zod_1.z.object({
        sha256: zod_1.z.string().optional(),
        sha1: zod_1.z.string()
    })
});
exports.apiResponseValidator = zod_1.z.array(zod_1.z.object({
    version_type: zod_1.z.string(),
    id: zod_1.z.string(),
    files: zod_1.z.array(exports.fileValidator)
}));
